Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class DropDownComponent.ScrollablePopupMenu

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPopupMenu
                      org.apache.batik.util.gui.DropDownComponent.ScrollablePopupMenu

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, MenuElement

Enclosing class:
  DropDownComponent

    public static class DropDownComponent.ScrollablePopupMenu

extends JPopupMenu

The Scrollable Popup Menu Component.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPopupMenu
`JPopupMenu.AccessibleJPopupMenu, JPopupMenu.Separator`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DropDownComponent.ScrollablePopupMenu(JComponent owner)` Constructor.

Method Summary
`void` | `add(DropDownComponent.ScrollablePopupMenuItem menuItem, int index, int oldSize, int newSize)` Adds the item to this component at the specified location.
`void` | `addListener(DropDownComponent.ScrollablePopupMenuListener listener)` Adds the listener to the listener list.
`void` | `fireItemsWereAdded(DropDownComponent.ScrollablePopupMenuEvent event)` Fires the itemsWereAdded event, when the items are added to this pop up menu.
`void` | `fireItemsWereRemoved(DropDownComponent.ScrollablePopupMenuEvent event)` Fires the itemsWereRemove event, when the items are removed from this pop up menu.
`DropDownComponent.ScrollablePopupMenuItem` | `getFooter()` Gets the footer item.
`DropDownComponent.ScrollablePopupMenuModel` | `getModel()` Gets the ScrollablePopupMenuModel
`JComponent` | `getOwner()` Gets the owner component.
`Dimension` | `getPreferredSize()`
`int` | `getSelectedItemsCount()` Gets the number of the selected items.
`void` | `processItemClicked()` Processes click on the pop up menu item.
`void` | `remove(DropDownComponent.ScrollablePopupMenuItem menuItem, int oldSize, int newSize)` Removes the item from this component.
`void` | `selectionChanged(DropDownComponent.ScrollablePopupMenuItem targetItem, boolean wasSelected)` Invoked when item selection changes.
`void` | `setModel(DropDownComponent.ScrollablePopupMenuModel model)` Sets the ScrollablePopupMenuModel.
`void` | `showMenu(Component invoker, Component refComponent)` Shows this popup menu.

Methods inherited from class javax.swing.JPopupMenu
`add, add, add, addMenuKeyListener, addPopupMenuListener, addSeparator, createActionChangeListener, createActionComponent, firePopupMenuCanceled, firePopupMenuWillBecomeInvisible, firePopupMenuWillBecomeVisible, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getDefaultLightWeightPopupEnabled, getInvoker, getLabel, getMargin, getMenuKeyListeners, getPopupMenuListeners, getSelectionModel, getSubElements, getUI, getUIClassID, insert, insert, isBorderPainted, isLightWeightPopupEnabled, isPopupTrigger, isVisible, menuSelectionChanged, pack, paintBorder, paramString, processFocusEvent, processKeyEvent, processKeyEvent, processMouseEvent, remove, removeMenuKeyListener, removePopupMenuListener, setBorderPainted, setDefaultLightWeightPopupEnabled, setInvoker, setLabel, setLightWeightPopupEnabled, setLocation, setPopupSize, setPopupSize, setSelected, setSelectionModel, setUI, setVisible, show, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropDownComponent.ScrollablePopupMenu

    public DropDownComponent.ScrollablePopupMenu(JComponent owner)

  Constructor.

  Parameters:
    `owner` - The owner component

Method Detail

### showMenu

    public void showMenu(Component invoker,
                         Component refComponent)

  Shows this popup menu.

  Parameters:
    `invoker` - The popup menu invoker component
    `refComponent` - The dropdown component that containts this menu

### add

    public void add(DropDownComponent.ScrollablePopupMenuItem menuItem,
                    int index,
                    int oldSize,
                    int newSize)

  Adds the item to this component at the specified location.

  Parameters:
    `menuItem` - the item to add

### remove

    public void remove(DropDownComponent.ScrollablePopupMenuItem menuItem,
                       int oldSize,
                       int newSize)

  Removes the item from this component.

  Parameters:
    `menuItem` - the item to remove

### getPreferredSize

    public Dimension getPreferredSize()

  Overrides:
    `getPreferredSize` in class `JComponent`

### selectionChanged

    public void selectionChanged(DropDownComponent.ScrollablePopupMenuItem targetItem,
                                 boolean wasSelected)

  Invoked when item selection changes.

### setModel

    public void setModel(DropDownComponent.ScrollablePopupMenuModel model)

  Sets the ScrollablePopupMenuModel.

  Parameters:
    `model` - the model to set

### getModel

    public DropDownComponent.ScrollablePopupMenuModel getModel()

  Gets the ScrollablePopupMenuModel

  Returns:
    the ScrollablePopupMenuModel model

### getSelectedItemsCount

    public int getSelectedItemsCount()

  Gets the number of the selected items.

  Returns:
    number of selected items

### processItemClicked

    public void processItemClicked()

  Processes click on the pop up menu item.

### getOwner

    public JComponent getOwner()

  Gets the owner component.

  Returns:
    the owner component

### getFooter

    public DropDownComponent.ScrollablePopupMenuItem getFooter()

  Gets the footer item.

  Returns:
    the footer

### addListener

    public void addListener(DropDownComponent.ScrollablePopupMenuListener listener)

  Adds the listener to the listener list.

  Parameters:
    `listener` - The listener to add

### fireItemsWereAdded

    public void fireItemsWereAdded(DropDownComponent.ScrollablePopupMenuEvent event)

  Fires the itemsWereAdded event, when the items are added to this pop up menu.

  Parameters:
    `event` - The associated ScrollablePopupMenuEvent event

### fireItemsWereRemoved

    public void fireItemsWereRemoved(DropDownComponent.ScrollablePopupMenuEvent event)

  Fires the itemsWereRemove event, when the items are removed from this pop up menu.

  Parameters:
    `event` - The associated ScrollablePopupMenuEvent event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.